Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Macros | Enumerations
rejctmap.h File Reference
`#include "memry.h"`
`#include "bits16.h"`
`#include "params.h"`
`#include "notdll.h"`

Go to the source code of this file.

## Classes

class | REJ
class | REJMAP

## Macros

#define | MAP_ACCEPT '1'
#define | MAP_REJECT_PERM '0'
#define | MAP_REJECT_TEMP '2'
#define | MAP_REJECT_POTENTIAL '3'

## Enumerations

enum

REJ_FLAGS {
R_TESS_FAILURE, R_SMALL_XHT, R_EDGE_CHAR, R_1IL_CONFLICT,
R_POSTNN_1IL, R_REJ_CBLOB, R_MM_REJECT, R_BAD_REPETITION,
R_POOR_MATCH, R_NOT_TESS_ACCEPTED, R_CONTAINS_BLANKS, R_BAD_PERMUTER,
R_HYPHEN, R_DUBIOUS, R_NO_ALPHANUMS, R_MOSTLY_REJ,
R_XHT_FIXUP, R_BAD_QUALITY, R_DOC_REJ, R_BLOCK_REJ,
R_ROW_REJ, R_UNLV_REJ, R_NN_ACCEPT, R_HYPHEN_ACCEPT,
R_MM_ACCEPT, R_QUALITY_ACCEPT, R_MINIMAL_REJ_ACCEPT
}

## Macro Definition Documentation

#define MAP_ACCEPT '1'

Definition at line 96 of file rejctmap.h.

#define MAP_REJECT_PERM '0'

Definition at line 97 of file rejctmap.h.

#define MAP_REJECT_POTENTIAL '3'

Definition at line 99 of file rejctmap.h.

#define MAP_REJECT_TEMP '2'

Definition at line 98 of file rejctmap.h.

## Enumeration Type Documentation

enum REJ_FLAGS

Enumerator:

  R_TESS_FAILURE |
  R_SMALL_XHT |
  R_EDGE_CHAR |
  R_1IL_CONFLICT |
  R_POSTNN_1IL |
  R_REJ_CBLOB |
  R_MM_REJECT |
  R_BAD_REPETITION |
  R_POOR_MATCH |
  R_NOT_TESS_ACCEPTED |
  R_CONTAINS_BLANKS |
  R_BAD_PERMUTER |
  R_HYPHEN |
  R_DUBIOUS |
  R_NO_ALPHANUMS |
  R_MOSTLY_REJ |
  R_XHT_FIXUP |
  R_BAD_QUALITY |
  R_DOC_REJ |
  R_BLOCK_REJ |
  R_ROW_REJ |
  R_UNLV_REJ |
  R_NN_ACCEPT |
  R_HYPHEN_ACCEPT |
  R_MM_ACCEPT |
  R_QUALITY_ACCEPT |
  R_MINIMAL_REJ_ACCEPT |

Definition at line 52 of file rejctmap.h.

{
/* Reject modes which are NEVER overridden */
R_TESS_FAILURE, // PERM Tess didnt classify
R_SMALL_XHT, // PERM Xht too small
R_EDGE_CHAR, // PERM Too close to edge of image
R_1IL_CONFLICT, // PERM 1Il confusion
R_POSTNN_1IL, // PERM 1Il unrejected by NN
R_REJ_CBLOB, // PERM Odd blob
R_MM_REJECT, // PERM Matrix match rejection (m's)
R_BAD_REPETITION, // TEMP Repeated char which doesn't match trend
/* Initial reject modes (pre NN_ACCEPT) */
R_POOR_MATCH, // TEMP Ray's original heuristic (Not used)
R_NOT_TESS_ACCEPTED, // TEMP Tess didnt accept WERD
R_CONTAINS_BLANKS, // TEMP Tess failed on other chs in WERD
R_BAD_PERMUTER, // POTENTIAL Bad permuter for WERD
/* Reject modes generated after NN_ACCEPT but before MM_ACCEPT */
R_HYPHEN, // TEMP Post NN dodgy hyphen or full stop
R_DUBIOUS, // TEMP Post NN dodgy chars
R_NO_ALPHANUMS, // TEMP No alphanumerics in word after NN
R_MOSTLY_REJ, // TEMP Most of word rejected so rej the rest
R_XHT_FIXUP, // TEMP Xht tests unsure
/* Reject modes generated after MM_ACCEPT but before QUALITY_ACCEPT */
R_BAD_QUALITY, // TEMP Quality metrics bad for WERD
/* Reject modes generated after QUALITY_ACCEPT but before MINIMAL_REJ accep*/
R_DOC_REJ, // TEMP Document rejection
R_BLOCK_REJ, // TEMP Block rejection
R_ROW_REJ, // TEMP Row rejection
R_UNLV_REJ, // TEMP ~ turned to - or ^ turned to space
/* Accept modes which occur inbetween the above rejection groups */
R_NN_ACCEPT, //NN acceptance
R_HYPHEN_ACCEPT, //Hyphen acceptance
R_MM_ACCEPT, //Matrix match acceptance
R_QUALITY_ACCEPT, //Accept word in good quality doc
R_MINIMAL_REJ_ACCEPT //Accept EVERYTHING except tess failures
};